Expander (Neo4j Community 2.1.0-M01 API)
Date: 2014-02-20

org.neo4j.graphdb

## Interface Expander

- All Superinterfaces:
    RelationshipExpander

  Deprecated.
  Deprecated because `RelationshipExpander` is deprecated. See `PathExpander` instead.

      public interface Expander
      extends RelationshipExpander

  This interface is an extension of the `RelationshipExpander` interface that makes it possible to build customized versions of an `Expander`.

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Expander` | `add(RelationshipType type)` Deprecated. Add a `RelationshipType` to the `Expander`.
    `Expander` | `add(RelationshipType type, Direction direction)` Deprecated. Add a `RelationshipType` with a `Direction` to the `Expander`.
    `Expander` | `addNodeFilter(Predicate<? super Node> filter)` Deprecated. Add a `Node` filter.
    `Expander` | `addRelationshipFilter(Predicate<? super Relationship> filter)` Deprecated. Add a `Relationship` filter.
    `Expander` | `addRelationsipFilter(Predicate<? super Relationship> filter)` Deprecated. because of typo, use `addRelationshipFilter(Predicate)` instead
    `Expander` | `remove(RelationshipType type)` Deprecated. Remove a `RelationshipType` from the `Expander`.
    `Expander` | `reversed()` Deprecated. Returns a new instance with the exact expansion logic, but reversed.

    - ### Methods inherited from interface org.neo4j.graphdb.RelationshipExpander

      `expand`

- - ### Method Detail

    - #### reversed

          Expander reversed()

      Deprecated.
      Description copied from interface: `RelationshipExpander`
      Returns a new instance with the exact expansion logic, but reversed. For example if this expander is set to expand:
      - KNOWS : OUTGOING
      - LIVES : INCOMING
      Then the reversed expander will be set to expand:
      - KNOWS : INCOMING
      - LIVES : OUTGOING
      Specified by:
        `reversed` in interface `RelationshipExpander`
      Returns:
        a reversed `RelationshipExpander`.

    - #### add

          Expander add(RelationshipType type)

      Deprecated.
      Add a `RelationshipType` to the `Expander`.
      Parameters:
        `type` - relationship type
      Returns:
        new instance

    - #### add

          Expander add(RelationshipType type,
                     Direction direction)

      Deprecated.
      Add a `RelationshipType` with a `Direction` to the `Expander`.
      Parameters:
        `type` - relationship type
        `direction` - expanding direction
      Returns:
        new instance

    - #### remove

          Expander remove(RelationshipType type)

      Deprecated.
      Remove a `RelationshipType` from the `Expander`.
      Parameters:
        `type` - relationship type
      Returns:
        new instance

    - #### addNodeFilter

          Expander addNodeFilter(Predicate<? super Node> filter)

      Deprecated.
      Add a `Node` filter.
      Parameters:
        `filter` - filter to use
      Returns:
        new instance

    - #### addRelationsipFilter

          Expander addRelationsipFilter(Predicate<? super Relationship> filter)

      Deprecated. because of typo, use `addRelationshipFilter(Predicate)` instead
      Add a `Relationship` filter.
      Parameters:
        `filter` - filter to use
      Returns:
        new instance

    - #### addRelationshipFilter

          Expander addRelationshipFilter(Predicate<? super Relationship> filter)

      Deprecated.
      Add a `Relationship` filter.
      Parameters:
        `filter` - filter to use
      Returns:
        new instance

Copyright © 2002–2014 The Neo4j Graph Database Project. All rights reserved.